# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataShare::Mgmt::V2018_11_01_preview
  module Models
    #
    # An ADLS Gen2 file dataset mapping.
    #
    class ADLSGen2FileDataSetMapping < DataSetMapping

      include MsRestAzure


      def initialize
        @kind = "AdlsGen2File"
      end

      attr_accessor :kind

      # @return [String] Gets the id of source dataset.
      attr_accessor :data_set_id

      # @return [DataSetMappingStatus] Gets the status of the dataset mapping.
      # Possible values include: 'Ok', 'Broken'
      attr_accessor :data_set_mapping_status

      # @return [String] File path within the file system.
      attr_accessor :file_path

      # @return [String] File system to which the file belongs.
      attr_accessor :file_system

      # @return [OutputType] Type of output file. Possible values include:
      # 'Csv', 'Parquet'
      attr_accessor :output_type

      # @return [String] Resource group of storage account.
      attr_accessor :resource_group

      # @return [String] Storage account name of the source data set.
      attr_accessor :storage_account_name

      # @return [String] Subscription id of storage account.
      attr_accessor :subscription_id


      #
      # Mapper for ADLSGen2FileDataSetMapping class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'AdlsGen2File',
          type: {
            name: 'Composite',
            class_name: 'ADLSGen2FileDataSetMapping',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: true,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              data_set_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.dataSetId',
                type: {
                  name: 'String'
                }
              },
              data_set_mapping_status: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.dataSetMappingStatus',
                type: {
                  name: 'String'
                }
              },
              file_path: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.filePath',
                type: {
                  name: 'String'
                }
              },
              file_system: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.fileSystem',
                type: {
                  name: 'String'
                }
              },
              output_type: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.outputType',
                type: {
                  name: 'String'
                }
              },
              resource_group: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.resourceGroup',
                type: {
                  name: 'String'
                }
              },
              storage_account_name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.storageAccountName',
                type: {
                  name: 'String'
                }
              },
              subscription_id: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.subscriptionId',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
