# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataShare::Mgmt::V2019_11_01
  module Models
    #
    # A kusto database data set.
    #
    class KustoDatabaseDataSet < DataSet

      include MsRestAzure


      def initialize
        @kind = "KustoDatabase"
      end

      attr_accessor :kind

      # @return [String] Unique id for identifying a data set resource
      attr_accessor :data_set_id

      # @return [String] Resource id of the kusto database.
      attr_accessor :kusto_database_resource_id

      # @return [String] Location of the kusto cluster.
      attr_accessor :location

      # @return [ProvisioningState] Provisioning state of the kusto database
      # data set. Possible values include: 'Succeeded', 'Creating', 'Deleting',
      # 'Moving', 'Failed'
      attr_accessor :provisioning_state


      #
      # Mapper for KustoDatabaseDataSet class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'KustoDatabase',
          type: {
            name: 'Composite',
            class_name: 'KustoDatabaseDataSet',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: true,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              data_set_id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.dataSetId',
                type: {
                  name: 'String'
                }
              },
              kusto_database_resource_id: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.kustoDatabaseResourceId',
                type: {
                  name: 'String'
                }
              },
              location: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.location',
                type: {
                  name: 'String'
                }
              },
              provisioning_state: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.provisioningState',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
